#!/usr/bin/perl
#################################################################
# Sands, Allison
# ModulePreprocess.pm
# I expect this file to perhaps be chopped up. I wrote a subroutine
# for breaking each chunked sentence into an array of chunks.
# I wrote some code to call the subroutine. Uzair's portion of code
# required input of each sentence as an array like this one.
# The way it is currently written, it will pull the first sentence
# from two corresponding files and break them into chunks arrays.
#
# Must pass the sentence to be chunked as a parameter.
#################################################################

package ModulePreprocess;
use base "Exporter";
@EXPORT = qw(parseSentence);

#use strict;
#use warnings;

#########################################################################
# subroutine parseSentence
# This subroutine receives a string of a chunked sentence
# It returns an array containing each chunk of one sentence.
#########################################################################
sub parseSentence {            #parses full sentence into array of chunks.
  my $sentence = shift;        # receives string as parameter
  my @chunks = split /]\s*/, $sentence;  #Splits string into an array at the ']' character
  foreach my $token(@chunks)   # foreach loop for re-appending ']' character onto each array element
  {
    $token .= ']';
  } # end foreach
  return @chunks;              # returns sentence as an array of the chunks
} # end sub parseSentence
